#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <mysql.h>
#include <my_global.h>
#include <NeuralNet.h>

int main()
{
    MYSQL *conn;
    MYSQL_RES *result;
    MYSQL_ROW row;

// eigene Variablen Definitionen

    int num_fields;
    T_ACT_FLOAT inputwert;
    char *id_ergebnis;
    double nn_prognose;

// Membrain Definitionen Beginn
// Im NN_Netz sind 45 Inputneuronen und 1 Outputneuron vorhanden

    T_ACT_FLOAT outAct[MB_OUT_NEURON_COUNT] = {0};
    T_NEURON_COUNT idx;
    T_ACT_FLOAT actIn = inputwert; // = (T_ACT_FLOAT)inputwert;
// Membrain Definitionen Ende

    NeuralNetInitAndReset(); //Initialize and Reset Net

    char *abfrage = "SELECT id_ergebnis, \
                            erzth, erhth, erzthm, erhthm, \
                            gpunktehm, hpunkte, hmlsloc, hmpunktels, hmpunktelhs, \
                            anzhsiege, anzhremis, anzhnl, hmanzsiege, hmanzremis, hmanznl, \
                            erzta, erhta, erztam, erhtam, \
                            gpunkteam, apunkte, amlsloc, ampunktels, ampunktelas, \
                            anzasiege, anzaremis, anzanl, amanzsiege, amanzremis, amanznl, \
                            derztha, derhtha, derzthmam, derhthmam, \
                            dgpunkte, dhapunkte, dpunktels, dpunktelhas, \
                            danzsiege, danzremis, danznl, dhaanzsiege, dhaanzremis, dhaanznl \
                     FROM nn_werte";

    char *update = "UPDATE nn_werte SET nn_prognose = %g WHERE id_ergebnis = %s";
    char update_nn_werte[1024];

    conn = mysql_init(NULL);
    mysql_real_connect(conn, "localhost", "root", "1mafia", "toto60php7", 0, NULL, 0);
    mysql_query(conn, abfrage);
    result = mysql_store_result(conn);
    num_fields = mysql_num_fields(result);

    while((row = mysql_fetch_row(result)))
    {

        for(idx = 0; idx < num_fields; idx++)
        {
            inputwert = atof(row[idx]);
            actIn = inputwert;
            printf("Input Wert Spalte %i = %.12f \n", idx,inputwert);

            NeuralNetApplyInputAct(idx,actIn);
            printf("Inputwert für Inputneuron %d = %g\n", idx, actIn);
        }

        NeuralNetThinkStep();
        printf("Thinkstep durchgeführt\n");

        id_ergebnis = row[0];
        printf("id_ergebnis hat den Wert = %s\n", id_ergebnis);

        for (idx = 0; idx < MB_OUT_NEURON_COUNT; idx++)
        {
            NeuralNetGetOutputAct(idx, &outAct[idx]);

            printf("Outputneuron %d = %g\n", idx, outAct[idx]);
            nn_prognose = outAct[idx];
            printf("Wert den nn_prognose hat = %g\n",nn_prognose);

        }

        printf ("id_ergebnis = %s\n", id_ergebnis);

        sprintf(update_nn_werte,update, nn_prognose, id_ergebnis);

        printf("Query = %s\n",update_nn_werte);

        mysql_query(conn,update_nn_werte);
        printf("Nach mysql_query update_nn_werte\n");
    }


    mysql_free_result(result);
    mysql_close(conn);

       return 0;
}
